import { Action, QueryResponse } from '../../client/client.types';
declare type ActionCreator<S, R> = (action: S) => Action<R>;
export declare type MutationApi<T, S> = {
    loading: boolean;
    mutate: (action: S) => Promise<QueryResponse<T>>;
    reset: () => void;
} & QueryResponse<T>;
export declare type MutationProps<T, R, S> = {
    actionCreator: ActionCreator<S, R>;
    children: (props: MutationApi<T, S>) => any;
};
export {};
