import { Action, QueryResponse } from '../../client/client.types';
declare type ActionCreator<S, R> = (action: S) => Action<R>;
export declare const useMutation: <T = any, R = {}, S = any>(actionCreator: ActionCreator<S, R>) => {
    status?: number | undefined;
    error: boolean;
    errorObject?: any;
    payload?: T | undefined;
    headers?: Headers | undefined;
    loading: boolean;
    mutate: (action: S) => Promise<QueryResponse<T>>;
    reset: () => void;
};
export {};
