"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SET_LOADING = 'response/loading';
exports.RESET = 'response/reset';
exports.SET_RESPONSE = 'response/set';
exports.responseReducer = function (state, action) {
    switch (action.type) {
        case exports.SET_LOADING:
            return __assign({}, state, { loading: true });
        case exports.SET_RESPONSE: {
            if (!action.response) {
                throw new Error();
            }
            return __assign({}, state, { loading: false, response: action.response });
        }
        case exports.RESET: {
            return {
                loading: false,
                response: {
                    error: false,
                },
            };
        }
        default: {
            throw new Error();
        }
    }
};
